#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=uAssets
commit=5c857ff1834fa44a482e0190e212d933bb41d28a
url=https://github.com/uBlockOrigin/uAssets/archive/${commit}/${name}-${commit}.tar.gz
pushd "$tmp"
curl -L ${url} | tar xzf -
pushd ${name}-${commit}
# Peter Lowe's adservers list is non-commercial-only
# https://github.com/uBlockOrigin/uAssets/issues/7657
rm -r thirdparties/pgl.yoyo.org
popd
tar czf "$pwd"/${name}-${commit}.tar.gz ${name}-${commit}
popd
